Loading...
Searching...
No Matches
kdump_shared Struct Reference

Shared state of the dump file object. More...

`#include <kdumpfile-priv.h>`

## Data Fields

rwlock_t | lock
| Guard accesses to shared data.
unsigned long | refcnt
| Reference counter.
struct list_head | ctx
| List of all refererring `kdump_ctx_t` structures.
const struct format_ops * | ops
| File format operations.
void * | fmtdata
| File format private data.
const struct arch_ops * | arch_ops
| Arch-specific operations.
void * | archdata
| Arch-specific private data.
enum kdump_arch | arch
| Internal-only arch index.
int | arch_init_done
| Non-zero if arch init has been called.
size_t | pendfiles
| Number of unspecified files.
struct cache * | cache
| Page cache.
struct fcache * | fcache
| File cache.
mutex_t | cache_lock
| Cache access lock.
size_t | per_ctx_size [PER_CTX_SLOTS]
| Size of per-context data.

## Detailed Description

Shared state of the dump file object.

This structure describes the data portion of the dump file object, which can be shared by many kdump_ctx_t objects.

## Field Documentation

## ctx

struct list_head kdump_shared::ctx

List of all refererring `kdump_ctx_t` structures.

Each `kdump_ctx_t` that holds a reference to this shared data must be added to this list.

## per_ctx_size

size_t kdump_shared::per_ctx_size[PER_CTX_SLOTS]

Size of per-context data.

Zero means unallocated.

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h